<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>FactoryUtil</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.util</a></div>
<h2 title="Class FactoryUtil" class="title">Class FactoryUtil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>FactoryUtil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">FactoryUtil</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static ClockStep</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createClockStep(double,org.eclipse.app4mc.amalthea.model.FrequencyUnit,long,java.lang.String)">createClockStep</a></span>&#8203;(double&nbsp;freqValue,
               FrequencyUnit&nbsp;freqUnit,
               long&nbsp;timeValue,
               String&nbsp;timeUnit)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static Counter</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createCounter(long)">createCounter</a></span>&#8203;(long&nbsp;prescaler)</code></th>
<td class="colLast">
<div class="block">Creates a counter (with offset = 0)</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static Counter</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createCounter(long,long)">createCounter</a></span>&#8203;(long&nbsp;prescaler,
             long&nbsp;offset)</code></th>
<td class="colLast">
<div class="block">Creates a counter</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static DataRate</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createDataRate()">createDataRate</a></span>()</code></th>
<td class="colLast">
<div class="block">Creates a data rate (initialized with zero value and base unit)</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static DataRate</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createDataRate(long,org.eclipse.app4mc.amalthea.model.DataRateUnit)">createDataRate</a></span>&#8203;(long&nbsp;value,
              DataRateUnit&nbsp;unit)</code></th>
<td class="colLast">
<div class="block">Creates a data rate out of a value and a unit</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static DataSize</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createDataSize()">createDataSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Creates a data size (initialized with zero value and base unit)</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static DataSize</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createDataSize(long,org.eclipse.app4mc.amalthea.model.DataSizeUnit)">createDataSize</a></span>&#8203;(long&nbsp;value,
              DataSizeUnit&nbsp;unit)</code></th>
<td class="colLast">
<div class="block">Creates a data size out of a value and a unit</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static DiscreteValueBoundaries</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createDiscreteValueBoundaries(long,long)">createDiscreteValueBoundaries</a></span>&#8203;(long&nbsp;min,
                             long&nbsp;max)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static DiscreteValueConstant</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createDiscreteValueConstant(long)">createDiscreteValueConstant</a></span>&#8203;(long&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static DiscreteValueGaussDistribution</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createDiscreteValueGaussDistribution(double,double)">createDiscreteValueGaussDistribution</a></span>&#8203;(double&nbsp;mean,
                                    double&nbsp;sd)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static DiscreteValueGaussDistribution</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createDiscreteValueGaussDistribution(double,double,java.lang.Long,java.lang.Long)">createDiscreteValueGaussDistribution</a></span>&#8203;(double&nbsp;mean,
                                    double&nbsp;sd,
                                    Long&nbsp;min,
                                    Long&nbsp;max)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static ExecutionNeed</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createExecutionNeed(java.lang.String,org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation)">createExecutionNeed</a></span>&#8203;(String&nbsp;featureCategory,
                   IDiscreteValueDeviation&nbsp;usages)</code></th>
<td class="colLast">
<div class="block">Creates ExecutionNeed for a featureCategoryName, need set.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static ExecutionNeed</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createExecutionNeed(org.eclipse.app4mc.amalthea.model.HwFeature,org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation)">createExecutionNeed</a></span>&#8203;(HwFeature&nbsp;feature,
                   IDiscreteValueDeviation&nbsp;usages)</code></th>
<td class="colLast">
<div class="block">Creates ExecutionNeed for a feature, need set.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static Frequency</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createFrequency()">createFrequency</a></span>()</code></th>
<td class="colLast">
<div class="block">Creates a frequency (initialized with zero value and base unit)</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static Frequency</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createFrequency(double,org.eclipse.app4mc.amalthea.model.FrequencyUnit)">createFrequency</a></span>&#8203;(double&nbsp;value,
               FrequencyUnit&nbsp;unit)</code></th>
<td class="colLast">
<div class="block">Creates a frequency out of a value and a unit</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static DiscreteValueConstant</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createLatency(long)">createLatency</a></span>&#8203;(long&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>static Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTime()">createTime</a></span>()</code></th>
<td class="colLast">
<div class="block">Creates a time (initialized with zero value and base unit)</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>static Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTime(double,java.lang.String)">createTime</a></span>&#8203;(double&nbsp;value,
          String&nbsp;unit)</code></th>
<td class="colLast">
<div class="block">Creates a time out of a value and a unit given as String.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTime(double,org.eclipse.app4mc.amalthea.model.TimeUnit)">createTime</a></span>&#8203;(double&nbsp;value,
          TimeUnit&nbsp;unit)</code></th>
<td class="colLast">
<div class="block">Creates a time out of a value and a unit (converted to pico seconds)</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>static Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTime(long,java.lang.String)">createTime</a></span>&#8203;(long&nbsp;value,
          String&nbsp;unit)</code></th>
<td class="colLast">
<div class="block">Creates a time out of a value and a unit given as String.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>static Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTime(long,org.eclipse.app4mc.amalthea.model.TimeUnit)">createTime</a></span>&#8203;(long&nbsp;value,
          TimeUnit&nbsp;unit)</code></th>
<td class="colLast">
<div class="block">Creates a time out of a value and a unit</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>static Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTime(java.lang.String)">createTime</a></span>&#8203;(String&nbsp;timeString)</code></th>
<td class="colLast">
<div class="block">Creates a Time object parsed from a text representation.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>static Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTime(java.math.BigInteger,java.lang.String)">createTime</a></span>&#8203;(BigInteger&nbsp;value,
          String&nbsp;unit)</code></th>
<td class="colLast">
<div class="block">Creates a time out of a value and a unit given as String.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>static Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTime(java.math.BigInteger,org.eclipse.app4mc.amalthea.model.TimeUnit)">createTime</a></span>&#8203;(BigInteger&nbsp;value,
          TimeUnit&nbsp;unit)</code></th>
<td class="colLast">
<div class="block">Creates a time out of a value and a unit</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>static Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTime(org.eclipse.app4mc.amalthea.model.Time)">createTime</a></span>&#8203;(Time&nbsp;inputTime)</code></th>
<td class="colLast">
<div class="block">Creates a new time based on a time</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>static TimeBoundaries</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTimeBoundaries(org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time)">createTimeBoundaries</a></span>&#8203;(Time&nbsp;min,
                    Time&nbsp;max)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>static TimeConstant</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTimeConstant(org.eclipse.app4mc.amalthea.model.Time)">createTimeConstant</a></span>&#8203;(Time&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>static TimeGaussDistribution</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTimeGaussDistribution(org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time)">createTimeGaussDistribution</a></span>&#8203;(Time&nbsp;mean,
                           Time&nbsp;sd)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>static TimeGaussDistribution</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTimeGaussDistribution(org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time)">createTimeGaussDistribution</a></span>&#8203;(Time&nbsp;mean,
                           Time&nbsp;sd,
                           Time&nbsp;min,
                           Time&nbsp;max)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>static TypeRef</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTypeRef(org.eclipse.app4mc.amalthea.model.TypeDefinition)">createTypeRef</a></span>&#8203;(TypeDefinition&nbsp;typeDefinition)</code></th>
<td class="colLast">
<div class="block">Creates a TypeRef object that refers to a type definition</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>static Voltage</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createVoltage()">createVoltage</a></span>()</code></th>
<td class="colLast">
<div class="block">Creates a voltage (initialized with zero value and base unit)</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>static Voltage</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createVoltage(double,org.eclipse.app4mc.amalthea.model.VoltageUnit)">createVoltage</a></span>&#8203;(double&nbsp;value,
             VoltageUnit&nbsp;unit)</code></th>
<td class="colLast">
<div class="block">Creates a voltage out of a value and a unit</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>static DiscreteValueWeibullEstimatorsDistribution</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createWeibullDistribution(long,double,long,double)">createWeibullDistribution</a></span>&#8203;(long&nbsp;min,
                         double&nbsp;avg,
                         long&nbsp;max,
                         double&nbsp;promille)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>static TimeWeibullEstimatorsDistribution</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createWeibullDistribution(org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time,double)">createWeibullDistribution</a></span>&#8203;(Time&nbsp;min,
                         Time&nbsp;avg,
                         Time&nbsp;max,
                         double&nbsp;promille)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="createCounter(long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createCounter</h4>
<pre class="methodSignature">public static&nbsp;Counter&nbsp;createCounter&#8203;(long&nbsp;prescaler)</pre>
<div class="block">Creates a counter (with offset = 0)</div>
</li>
</ul>
<a id="createCounter(long,long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createCounter</h4>
<pre class="methodSignature">public static&nbsp;Counter&nbsp;createCounter&#8203;(long&nbsp;prescaler,
                                    long&nbsp;offset)</pre>
<div class="block">Creates a counter</div>
</li>
</ul>
<a id="createDataSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDataSize</h4>
<pre class="methodSignature">public static&nbsp;DataSize&nbsp;createDataSize()</pre>
<div class="block">Creates a data size (initialized with zero value and base unit)</div>
</li>
</ul>
<a id="createDataSize(long,org.eclipse.app4mc.amalthea.model.DataSizeUnit)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDataSize</h4>
<pre class="methodSignature">public static&nbsp;DataSize&nbsp;createDataSize&#8203;(long&nbsp;value,
                                      DataSizeUnit&nbsp;unit)</pre>
<div class="block">Creates a data size out of a value and a unit</div>
</li>
</ul>
<a id="createDataRate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDataRate</h4>
<pre class="methodSignature">public static&nbsp;DataRate&nbsp;createDataRate()</pre>
<div class="block">Creates a data rate (initialized with zero value and base unit)</div>
</li>
</ul>
<a id="createDataRate(long,org.eclipse.app4mc.amalthea.model.DataRateUnit)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDataRate</h4>
<pre class="methodSignature">public static&nbsp;DataRate&nbsp;createDataRate&#8203;(long&nbsp;value,
                                      DataRateUnit&nbsp;unit)</pre>
<div class="block">Creates a data rate out of a value and a unit</div>
</li>
</ul>
<a id="createFrequency()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFrequency</h4>
<pre class="methodSignature">public static&nbsp;Frequency&nbsp;createFrequency()</pre>
<div class="block">Creates a frequency (initialized with zero value and base unit)</div>
</li>
</ul>
<a id="createFrequency(double,org.eclipse.app4mc.amalthea.model.FrequencyUnit)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFrequency</h4>
<pre class="methodSignature">public static&nbsp;Frequency&nbsp;createFrequency&#8203;(double&nbsp;value,
                                        FrequencyUnit&nbsp;unit)</pre>
<div class="block">Creates a frequency out of a value and a unit</div>
</li>
</ul>
<a id="createVoltage()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createVoltage</h4>
<pre class="methodSignature">public static&nbsp;Voltage&nbsp;createVoltage()</pre>
<div class="block">Creates a voltage (initialized with zero value and base unit)</div>
</li>
</ul>
<a id="createVoltage(double,org.eclipse.app4mc.amalthea.model.VoltageUnit)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createVoltage</h4>
<pre class="methodSignature">public static&nbsp;Voltage&nbsp;createVoltage&#8203;(double&nbsp;value,
                                    VoltageUnit&nbsp;unit)</pre>
<div class="block">Creates a voltage out of a value and a unit</div>
</li>
</ul>
<a id="createTime()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTime</h4>
<pre class="methodSignature">public static&nbsp;Time&nbsp;createTime()</pre>
<div class="block">Creates a time (initialized with zero value and base unit)</div>
</li>
</ul>
<a id="createTime(org.eclipse.app4mc.amalthea.model.Time)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTime</h4>
<pre class="methodSignature">public static&nbsp;Time&nbsp;createTime&#8203;(Time&nbsp;inputTime)</pre>
<div class="block">Creates a new time based on a time</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>inputTime</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>New time object</dd>
</dl>
</li>
</ul>
<a id="createTime(long,org.eclipse.app4mc.amalthea.model.TimeUnit)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTime</h4>
<pre class="methodSignature">public static&nbsp;Time&nbsp;createTime&#8203;(long&nbsp;value,
                              TimeUnit&nbsp;unit)</pre>
<div class="block">Creates a time out of a value and a unit</div>
</li>
</ul>
<a id="createTime(double,org.eclipse.app4mc.amalthea.model.TimeUnit)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTime</h4>
<pre class="methodSignature">public static&nbsp;Time&nbsp;createTime&#8203;(double&nbsp;value,
                              TimeUnit&nbsp;unit)</pre>
<div class="block">Creates a time out of a value and a unit (converted to pico seconds)</div>
</li>
</ul>
<a id="createTime(java.math.BigInteger,org.eclipse.app4mc.amalthea.model.TimeUnit)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTime</h4>
<pre class="methodSignature">public static&nbsp;Time&nbsp;createTime&#8203;(BigInteger&nbsp;value,
                              TimeUnit&nbsp;unit)</pre>
<div class="block">Creates a time out of a value and a unit</div>
</li>
</ul>
<a id="createTime(long,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTime</h4>
<pre class="methodSignature">public static&nbsp;Time&nbsp;createTime&#8203;(long&nbsp;value,
                              String&nbsp;unit)</pre>
<div class="block">Creates a time out of a value and a unit given as String.</div>
</li>
</ul>
<a id="createTime(double,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTime</h4>
<pre class="methodSignature">public static&nbsp;Time&nbsp;createTime&#8203;(double&nbsp;value,
                              String&nbsp;unit)</pre>
<div class="block">Creates a time out of a value and a unit given as String.</div>
</li>
</ul>
<a id="createTime(java.math.BigInteger,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTime</h4>
<pre class="methodSignature">public static&nbsp;Time&nbsp;createTime&#8203;(BigInteger&nbsp;value,
                              String&nbsp;unit)</pre>
<div class="block">Creates a time out of a value and a unit given as String.</div>
</li>
</ul>
<a id="createTime(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTime</h4>
<pre class="methodSignature">public static&nbsp;Time&nbsp;createTime&#8203;(String&nbsp;timeString)</pre>
<div class="block">Creates a Time object parsed from a text representation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeString</code> - string representation of a time (number followed by time unit s, ms, us, ns or ps)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The new Time object</dd>
</dl>
</li>
</ul>
<a id="createClockStep(double,org.eclipse.app4mc.amalthea.model.FrequencyUnit,long,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createClockStep</h4>
<pre class="methodSignature">public static&nbsp;ClockStep&nbsp;createClockStep&#8203;(double&nbsp;freqValue,
                                        FrequencyUnit&nbsp;freqUnit,
                                        long&nbsp;timeValue,
                                        String&nbsp;timeUnit)</pre>
</li>
</ul>
<a id="createTypeRef(org.eclipse.app4mc.amalthea.model.TypeDefinition)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTypeRef</h4>
<pre class="methodSignature">public static&nbsp;TypeRef&nbsp;createTypeRef&#8203;(TypeDefinition&nbsp;typeDefinition)</pre>
<div class="block">Creates a TypeRef object that refers to a type definition</div>
</li>
</ul>
<a id="createDiscreteValueConstant(long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDiscreteValueConstant</h4>
<pre class="methodSignature">public static&nbsp;DiscreteValueConstant&nbsp;createDiscreteValueConstant&#8203;(long&nbsp;value)</pre>
</li>
</ul>
<a id="createDiscreteValueBoundaries(long,long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDiscreteValueBoundaries</h4>
<pre class="methodSignature">public static&nbsp;DiscreteValueBoundaries&nbsp;createDiscreteValueBoundaries&#8203;(long&nbsp;min,
                                                                    long&nbsp;max)</pre>
</li>
</ul>
<a id="createDiscreteValueGaussDistribution(double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDiscreteValueGaussDistribution</h4>
<pre class="methodSignature">public static&nbsp;DiscreteValueGaussDistribution&nbsp;createDiscreteValueGaussDistribution&#8203;(double&nbsp;mean,
                                                                                  double&nbsp;sd)</pre>
</li>
</ul>
<a id="createDiscreteValueGaussDistribution(double,double,java.lang.Long,java.lang.Long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDiscreteValueGaussDistribution</h4>
<pre class="methodSignature">public static&nbsp;DiscreteValueGaussDistribution&nbsp;createDiscreteValueGaussDistribution&#8203;(double&nbsp;mean,
                                                                                  double&nbsp;sd,
                                                                                  Long&nbsp;min,
                                                                                  Long&nbsp;max)</pre>
</li>
</ul>
<a id="createWeibullDistribution(long,double,long,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createWeibullDistribution</h4>
<pre class="methodSignature">public static&nbsp;DiscreteValueWeibullEstimatorsDistribution&nbsp;createWeibullDistribution&#8203;(long&nbsp;min,
                                                                                   double&nbsp;avg,
                                                                                   long&nbsp;max,
                                                                                   double&nbsp;promille)</pre>
</li>
</ul>
<a id="createTimeConstant(org.eclipse.app4mc.amalthea.model.Time)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimeConstant</h4>
<pre class="methodSignature">public static&nbsp;TimeConstant&nbsp;createTimeConstant&#8203;(Time&nbsp;value)</pre>
</li>
</ul>
<a id="createTimeBoundaries(org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimeBoundaries</h4>
<pre class="methodSignature">public static&nbsp;TimeBoundaries&nbsp;createTimeBoundaries&#8203;(Time&nbsp;min,
                                                  Time&nbsp;max)</pre>
</li>
</ul>
<a id="createTimeGaussDistribution(org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimeGaussDistribution</h4>
<pre class="methodSignature">public static&nbsp;TimeGaussDistribution&nbsp;createTimeGaussDistribution&#8203;(Time&nbsp;mean,
                                                                Time&nbsp;sd)</pre>
</li>
</ul>
<a id="createTimeGaussDistribution(org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimeGaussDistribution</h4>
<pre class="methodSignature">public static&nbsp;TimeGaussDistribution&nbsp;createTimeGaussDistribution&#8203;(Time&nbsp;mean,
                                                                Time&nbsp;sd,
                                                                Time&nbsp;min,
                                                                Time&nbsp;max)</pre>
</li>
</ul>
<a id="createWeibullDistribution(org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.Time,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createWeibullDistribution</h4>
<pre class="methodSignature">public static&nbsp;TimeWeibullEstimatorsDistribution&nbsp;createWeibullDistribution&#8203;(Time&nbsp;min,
                                                                          Time&nbsp;avg,
                                                                          Time&nbsp;max,
                                                                          double&nbsp;promille)</pre>
</li>
</ul>
<a id="createExecutionNeed(java.lang.String,org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createExecutionNeed</h4>
<pre class="methodSignature">public static&nbsp;ExecutionNeed&nbsp;createExecutionNeed&#8203;(String&nbsp;featureCategory,
                                                IDiscreteValueDeviation&nbsp;usages)</pre>
<div class="block">Creates ExecutionNeed for a featureCategoryName, need set.</div>
</li>
</ul>
<a id="createExecutionNeed(org.eclipse.app4mc.amalthea.model.HwFeature,org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createExecutionNeed</h4>
<pre class="methodSignature">public static&nbsp;ExecutionNeed&nbsp;createExecutionNeed&#8203;(HwFeature&nbsp;feature,
                                                IDiscreteValueDeviation&nbsp;usages)</pre>
<div class="block">Creates ExecutionNeed for a feature, need set.</div>
</li>
</ul>
<a id="createLatency(long)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createLatency</h4>
<pre class="methodSignature">public static&nbsp;DiscreteValueConstant&nbsp;createLatency&#8203;(long&nbsp;value)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
